Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
A task represents the state of an asynchronous, usually long-running operation. Examples include, bulk migrations, transferring buyers, and more.
This object contains the following attributes:
id
string, core
(Read-only) Represents the task ID. The task identifier includes the identifier of the service that owns it. The format is TSK-XXXX-YYYY-YYYY-YYYY, where XXXX corresponds to part of the Service identifier SVC-XXXX.
status
enum, core
Represents the status of the task. A new task is created in either the queued (default) or blocked status.
code
string, core
Represents a task code. Different task codes are responsible for different workflows, and are prefixed with the respective service namespace.
name
string, core
The name of the specific operation.
Example: Moving the buyer to a different account
queue
string
The queue name for the task execution, sourced by the task service, is prefixed with the controlling service namespace. Queues are independent in scope of execution; tasks in the queue are executed in First In, First Out order if queued.
object
object
A reference to the business object related to the task.
Example:
description
string
A description of the task.
parent
task
(Optional) Represents the parent task, if applicable.
Example:
progress
float
(Optional) The progress in percentage, ranging from 0 to 100. Applies only to tasks that have started.
eta
string
The estimated completion time for the task, if applicable, in the ISO 8601 datetime format.
audit
object
Represents the audit object.
parameters
object
(Optional) Parameters that can be used to store task-specific metadata.
Example:
result
string
(Optional) The URI, which reflects the results of the task execution. It could be either:
A task-specific result object.
A relative URI to the resource, for example, a standard platform object or file.
owner
service
The service that owns the task.
Example:
access
object
A list of account with access to the task and its result.
{
"id": "TSK-0001-2474-4798-1266",
"name": "Transferring the buyer to a different account",
"revision": 1,
"status": "Completed",
"code": "accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"progress": 100,
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"owner": {
"id": "SVC-0001",
"name": "platform",
"revision": 1
}
}{
"id": "ORD-1234-1245-1234"
}{
"id": "TSK-1234-1234-1234-1234",
"name": "Parent task name"
}{
"param1": {...},
"param2": {...}
}{
"id": "SVC-1234",
"name": "Service A"
}{
"id": "TSK-0001-2474-4798-1266",
"name": "Transferring the buyer to a different account",
"revision": 1,
"status": "Completed",
"code": "accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"progress": 100,
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"owner": {
"id": "SVC-0001",
"name": "platform",
"revision": 1
},
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE (Backoffice)",
"revision": 1,
"type": "Operations",
"status": "Active"
}
],
"audit": {
"started": {
"at": "2025-09-04T09:03:09.702Z",
"by": {
"id": "SVC-0001",
"name": "platform",
"revision": 1
}
},
"completed": {
"at": "2025-09-04T09:03:20.668Z",
"by": {
"id": "SVC-0001",
"name": "platform",
"revision": 1
}
},
"created": {
"at": "2025-09-04T09:03:08.790Z",
"by": {
"id": "SVC-0001",
"name": "platform",
"revision": 1
}
},
"updated": {
"at": "2025-09-04T09:03:20.669Z",
"by": {
"id": "SVC-0001",
"name": "platform",
"revision": 1
}
}
}
}Get a list of tasks. Supports filtering, sorting, and pagination via query string parameters. Access: Operations, Vendor, Client, Service.
OK
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27GET /public/v1/system/tasks HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
OK
{
"$meta": {
"pagination": {
"offset": 0,
"limit": 2,
"total": 115
},
"omitted": [
"audit",
"access"
]
},
"data": [
{
"id": "TSK-5498-1544-6054-5440",
"name": "Transferring the buyer to a different account",
"revision": 1,
"status": "Completed",
"code": "accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-4230-6788"
},
"description": "Transferring buyer 'BUY-4230-6788' to account 'ACC-4952-6625'",
"progress": 100,
"owner": {
"id": "SVC-0001",
"name": "platform"
},
"result": "/public/v1/accounts/buyers/BUY-4230-6788"
}
]
}Retrieve a task by ID. Use the select query parameter to specify which fields to include. Access: OPS, SVC, VENDOR, CLIENT.
The task ID.
Optional select statement to filter fields.
OK
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27Not Found
GET /public/v1/system/tasks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "TSK-0001-2474-4798-1266",
"name": "Transferring the buyer to a different account",
"revision": 1,
"status": "Completed",
"code": "accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"progress": 100,
"owner": {
"id": "SVC-0001",
"name": "platform"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
],
"audit": {
"created": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
},
"updated": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
}
}
}Transition a task to Processing. Allowed only for the owner service or extension. Valid when status is Queued or Rescheduled.
The task ID.
OK
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27POST /public/v1/system/tasks/{id}/execute HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
OK
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"started": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"failed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"rescheduled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"queued": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parent": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer"
},
"progress": 45.5,
"eta": "2026-02-02T14:30:00+00:00",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
"owner": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
]
}Transition a task to Queued. Allowed only for the owner service or extension. Valid when status is Processing or Rescheduled.
The task ID.
OK
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27POST /public/v1/system/tasks/{id}/queue HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
OK
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"started": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"failed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"rescheduled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"queued": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parent": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer"
},
"progress": 45.5,
"eta": "2026-02-02T14:30:00+00:00",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
"owner": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
]
}Create a task. Only services can create tasks. Extesnions service will create a task for the extensions.
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27Created
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27Bad Request
POST /public/v1/system/tasks HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 374
{
"name": "Transferring the buyer to a different account",
"code": "platform.accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"access": [
{
"id": "ACC-0000-0001"
}
]
}{
"id": "TSK-0001-2474-4798-1266",
"name": "Transferring the buyer to a different account",
"revision": 1,
"status": "Queued",
"code": "accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
],
"owner": {
"id": "SVC-0001",
"name": "platform"
},
"audit": {
"created": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
},
"updated": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
}
}
}Transition a task to Failed. Allowed only for the owner service or extension. Valid when status is Processing, Queued, or Rescheduled.
The task ID.
OK
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27POST /public/v1/system/tasks/{id}/fail HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
OK
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"started": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"failed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"rescheduled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"queued": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parent": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer"
},
"progress": 45.5,
"eta": "2026-02-02T14:30:00+00:00",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
"owner": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
]
}Get a task result. Returns a JSON result or redirects to a resource if the result is a file. Access: OPS, SVC, VENDOR, CLIENT.
The task ID.
OK
Found
No content
Not Found
GET /public/v1/system/tasks/{id}/result HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "BUY-1190-0394",
"name": "AdAstralflex Argentina",
"revision": 9,
"status": "Active"
}Transition a task to Rescheduled. Allowed only for the owner service or extension. Valid when status is Processing.
The task ID.
OK
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27POST /public/v1/system/tasks/{id}/reschedule HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
OK
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"started": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"failed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"rescheduled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"queued": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parent": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer"
},
"progress": 45.5,
"eta": "2026-02-02T14:30:00+00:00",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
"owner": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
]
}Transition a task to Completed. Allowed only for the owner service or extension. Valid when status is Processing.
The task ID.
OK
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27POST /public/v1/system/tasks/{id}/complete HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
OK
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"started": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"failed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"rescheduled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"queued": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parent": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"status": "Queued",
"code": "platform.accounts.buyers.transfer"
},
"progress": 45.5,
"eta": "2026-02-02T14:30:00+00:00",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
"owner": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
]
}Update a task. Only the owner service or extension can update a task. Use this endpoint to update progress, ETA, and parameters.
The task ID.
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27OK
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27PUT /public/v1/system/tasks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 84
{
"progress": 45.5,
"eta": "2026-02-02T14:30:00+00:00",
"parameters": {
"Step": "transfer"
}
}OK
{
"id": "TSK-0001-2474-4798-1266",
"name": "Transferring the buyer to a different account",
"revision": 5,
"status": "Processing",
"code": "accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"progress": 45.5,
"eta": "2026-02-02T14:30:00+00:00",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382",
"Step": "transfer"
},
"owner": {
"id": "SVC-0001",
"name": "platform"
},
"audit": {
"created": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
},
"updated": {
"at": "2026-02-02T13:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
}
}
}